Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class ExpandAdapter

    java.lang.Object
      org.eclipse.swt.events.ExpandAdapter

All Implemented Interfaces:
  ExpandListener

public abstract class ExpandAdapter
extends java.lang.Object
implements ExpandListener

This adapter class provides default implementations for the methods described by the `ExpandListener` interface.

Classes that wish to deal with `ExpandEvent`s can extend this class and override only the methods which they are interested in.

Since:
  1.2
See Also:
  `ExpandListener`, `ExpandEvent`

Constructor Summary
`ExpandAdapter()`

Method Summary
`void` `itemCollapsed(ExpandEvent e)` Sent when an item is collapsed.
`void` `itemExpanded(ExpandEvent e)` Sent when an item is expanded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpandAdapter

    public ExpandAdapter()

Method Detail

### itemCollapsed

    public void itemCollapsed(ExpandEvent e)

  Sent when an item is collapsed. The default behavior is to do nothing.

  Specified by:
    `itemCollapsed` in interface `ExpandListener`
  Parameters:
    `e` - an event containing information about the operation

### itemExpanded

    public void itemExpanded(ExpandEvent e)

  Sent when an item is expanded. The default behavior is to do nothing.

  Specified by:
    `itemExpanded` in interface `ExpandListener`
  Parameters:
    `e` - an event containing information about the operation

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.